// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | contact@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Object for a single HITRAN molecule
#include "hitranonemol.h"

HitranOneMol::HitranOneMol()
{

}

// Array of type hitranOneIsoObj to contain information for each isotope
QVector<HitranOneIso> *HitranOneMol::getIso() { return &(this->iso); }
void HitranOneMol::setIso(QVector<HitranOneIso> *newIso) { this->iso = *newIso; }
HitranOneIso *HitranOneMol::getIsoAt(int index) { return &(this->iso[index]); }
void HitranOneMol::setIsoAt(int index,  HitranOneIso *iso) { this->iso[index] = *iso; }

// Name of the molecule
QString HitranOneMol::getMolName() { return this->molName; }
void HitranOneMol::setMolName(QString newMolName) { this->molName = newMolName; }

// Molecule chemical formula
QString HitranOneMol::getChemForm() { return this->chemForm; }
void HitranOneMol::setChemForm(QString newChemForm) { this->chemForm =  newChemForm; }

// Variable indicating if the molecule is selected for calculation (1 - selected, 0 - not selected)
bool HitranOneMol::getSelected() { return this->selected; }
void HitranOneMol::setSelected(bool newSelected) { this->selected = newSelected; }

// Color to use for plotting a given isotope
QString HitranOneMol::getColor() { return this->color; }
void HitranOneMol::setColor(QString newColor) { this->color = newColor; }
